Page MenuHomePhabricator

Add support for .ifnes pseudo-op.
ClosedPublic

Authored by sidneym on Mar 16 2015, 7:40 AM.

Details

Summary

Most of the other if-form pseudos of this type are implemented but this one was missing. .ifnes is the sibling to .ifeqs.

Diff Detail

Event Timeline

sidneym updated this revision to Diff 22021.Mar 16 2015, 7:40 AM
sidneym retitled this revision from to Add support for .ifnes pseudo-op..
sidneym updated this object.
sidneym edited the test plan for this revision. (Show Details)
sidneym set the repository for this revision to rL LLVM.
sidneym added a subscriber: Unknown Object (MLST).
mcrosier edited edge metadata.Mar 16 2015, 8:08 AM

Looks good in general with a few comments.

Also, for future reference, please include full context in your patches. See the following link on how to get a full context in Phabricator:
http://llvm.org/docs/Phabricator.html#requesting-a-review-via-the-web-interface

Chad

lib/MC/MCParser/AsmParser.cpp
438

Update comment to reflect that this parse .ifeqs and .ifnes.

3950

This logic is specific to .ifeqs.

You'll need to conditionalize more of the code, if you'd like to reuse the function.

colinl accepted this revision.Mar 16 2015, 9:53 AM
colinl edited edge metadata.
This revision is now accepted and ready to land.Mar 16 2015, 9:53 AM
mcrosier requested changes to this revision.Mar 16 2015, 10:09 AM
mcrosier edited edge metadata.

This is not ready to land.

This revision now requires changes to proceed.Mar 16 2015, 10:09 AM
sidneym updated this revision to Diff 22033.Mar 16 2015, 10:58 AM
sidneym edited edge metadata.
sidneym removed rL LLVM as the repository for this revision.
mcrosier accepted this revision.Mar 16 2015, 11:16 AM
mcrosier edited edge metadata.

Please commit the changes to parseDirectiveIfc in a separate patch. Otherwise, LGTM.

This revision is now accepted and ready to land.Mar 16 2015, 11:16 AM
sidneym updated this revision to Diff 22095.Mar 17 2015, 8:28 AM
sidneym edited edge metadata.
sidneym closed this revision.Mar 18 2015, 2:19 PM